Subject: Re: Error in Git

From: Nicolas Sebrecht <[email-masked]>
Date: Tue, 3 Nov 2009 13:18:42 +0100

The 03/11/09, Ravindra wrote:

> When i execute the git command for the url
> git://git.openezx.org/sgh-i900.git I am getting the following error,
> Please let me know how to solve this.

It really looks like a problem coming from the remote side only. I'm not
sure why. You should contact the admin of the repository.

> error: waitpid (async) failed fatal: error in sideband demultiplexer

I've had a similar error here :

  % git clone git://git.openezx.org/sgh-i900.git
  Initialized empty Git repository in /tmp/sgh-i900/.git/
  remote: Counting objects: 128422, done.
  remote: Compressing objects: 100% (122355/122355), done.
  remote: Total 128422 (delta 6110), reused 128357 (delta 6067)
  remote: aborting due to possible repository corruption on the remote side.
  Receiving objects: 100% (128422/128422), 46.32 MiB | 519 KiB/s, done.
  Resolving deltas: 100% (6110/6110), done.
  fatal: error in sideband demultiplexer
  %

And at my first try :

  % git clone git://git.openezx.org/sgh-i900.git
  Initialized empty Git repository in /tmp/sgh-i900/.git/
  remote: fatal: Out of memory, realloc failed
  remote: aborting due to possible repository corruption on the remote side.
  fatal: early EOF
  fatal: index-pack failed
  %

% git --version
git version 1.6.5.2.293.ge3812c

-- 
Nicolas Sebrecht